reverse_proxy_client_create_with_port
reverse_proxy_client_create_with_service
reverse_proxy_client_free
reverse_proxy_client_set_data_callback
reverse_proxy_client_set_log_callback
reverse_proxy_client_set_status_callback
reverse_proxy_client_start_proxy
reverse_proxy_client_t
reverse_proxy_client_type_t
reverse_proxy_data_cb_t
reverse_proxy_data_direction_t
REVERSE_PROXY_DEFAULT_PORT
reverse_proxy_error_t
reverse_proxy_get_type
reverse_proxy_log_cb_t
reverse_proxy_status_cb_t
reverse_proxy_status_t

## reverse_proxy_status_cb_t

typedef void(* reverse_proxy_status_cb_t) (reverse_proxy_client_t client, reverse_proxy_status_t status, const char *status_msg, void *user_data)

Status callback function prototype.

Parameters

  client | The client that called the callback function
  status | The status the client is reporting
  status_msg | A status message the client reports along with the status
  user_data | The user_data pointer that was set when registering the callback